curl --request POST \
--url https://api.lbpay.example.com/v1/senders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"externalId": "msb-cust-001",
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+15551234567",
"birthDate": "1990-01-15",
"nationality": "US",
"address": {
"countryCode": "US",
"stateCode": "CA",
"city": "San Francisco",
"line1": "123 Market St",
"zipcode": "94105"
},
"documents": [
{
"type": "drivers_license",
"document": "D12345678",
"countryCode": "US",
"stateCode": "CA",
"expireDate": "2030-06-30"
}
],
"occupation": "Software Engineer",
"sourceOfFunds": "SALARY"
}
'import requests
url = "https://api.lbpay.example.com/v1/senders"
payload = {
"externalId": "msb-cust-001",
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+15551234567",
"birthDate": "1990-01-15",
"nationality": "US",
"address": {
"countryCode": "US",
"stateCode": "CA",
"city": "San Francisco",
"line1": "123 Market St",
"zipcode": "94105"
},
"documents": [
{
"type": "drivers_license",
"document": "D12345678",
"countryCode": "US",
"stateCode": "CA",
"expireDate": "2030-06-30"
}
],
"occupation": "Software Engineer",
"sourceOfFunds": "SALARY"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalId: 'msb-cust-001',
type: 'INDIVIDUAL',
firstName: 'John',
lastName: 'Doe',
email: 'john.doe@example.com',
phoneNumber: '+15551234567',
birthDate: '1990-01-15',
nationality: 'US',
address: {
countryCode: 'US',
stateCode: 'CA',
city: 'San Francisco',
line1: '123 Market St',
zipcode: '94105'
},
documents: [
{
type: 'drivers_license',
document: 'D12345678',
countryCode: 'US',
stateCode: 'CA',
expireDate: '2030-06-30'
}
],
occupation: 'Software Engineer',
sourceOfFunds: 'SALARY'
})
};
fetch('https://api.lbpay.example.com/v1/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'externalId' => 'msb-cust-001',
'type' => 'INDIVIDUAL',
'firstName' => 'John',
'lastName' => 'Doe',
'email' => 'john.doe@example.com',
'phoneNumber' => '+15551234567',
'birthDate' => '1990-01-15',
'nationality' => 'US',
'address' => [
'countryCode' => 'US',
'stateCode' => 'CA',
'city' => 'San Francisco',
'line1' => '123 Market St',
'zipcode' => '94105'
],
'documents' => [
[
'type' => 'drivers_license',
'document' => 'D12345678',
'countryCode' => 'US',
'stateCode' => 'CA',
'expireDate' => '2030-06-30'
]
],
'occupation' => 'Software Engineer',
'sourceOfFunds' => 'SALARY'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders"
payload := strings.NewReader("{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lbpay.example.com/v1/senders")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}"
response = http.request(request)
puts response.read_body{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Create a sender
Registra o remetente final (cliente da MSB). Idempotente por externalId: retorna 201 ao criar e 200 se já existir.
curl --request POST \
--url https://api.lbpay.example.com/v1/senders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"externalId": "msb-cust-001",
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+15551234567",
"birthDate": "1990-01-15",
"nationality": "US",
"address": {
"countryCode": "US",
"stateCode": "CA",
"city": "San Francisco",
"line1": "123 Market St",
"zipcode": "94105"
},
"documents": [
{
"type": "drivers_license",
"document": "D12345678",
"countryCode": "US",
"stateCode": "CA",
"expireDate": "2030-06-30"
}
],
"occupation": "Software Engineer",
"sourceOfFunds": "SALARY"
}
'import requests
url = "https://api.lbpay.example.com/v1/senders"
payload = {
"externalId": "msb-cust-001",
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"phoneNumber": "+15551234567",
"birthDate": "1990-01-15",
"nationality": "US",
"address": {
"countryCode": "US",
"stateCode": "CA",
"city": "San Francisco",
"line1": "123 Market St",
"zipcode": "94105"
},
"documents": [
{
"type": "drivers_license",
"document": "D12345678",
"countryCode": "US",
"stateCode": "CA",
"expireDate": "2030-06-30"
}
],
"occupation": "Software Engineer",
"sourceOfFunds": "SALARY"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
externalId: 'msb-cust-001',
type: 'INDIVIDUAL',
firstName: 'John',
lastName: 'Doe',
email: 'john.doe@example.com',
phoneNumber: '+15551234567',
birthDate: '1990-01-15',
nationality: 'US',
address: {
countryCode: 'US',
stateCode: 'CA',
city: 'San Francisco',
line1: '123 Market St',
zipcode: '94105'
},
documents: [
{
type: 'drivers_license',
document: 'D12345678',
countryCode: 'US',
stateCode: 'CA',
expireDate: '2030-06-30'
}
],
occupation: 'Software Engineer',
sourceOfFunds: 'SALARY'
})
};
fetch('https://api.lbpay.example.com/v1/senders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lbpay.example.com/v1/senders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'externalId' => 'msb-cust-001',
'type' => 'INDIVIDUAL',
'firstName' => 'John',
'lastName' => 'Doe',
'email' => 'john.doe@example.com',
'phoneNumber' => '+15551234567',
'birthDate' => '1990-01-15',
'nationality' => 'US',
'address' => [
'countryCode' => 'US',
'stateCode' => 'CA',
'city' => 'San Francisco',
'line1' => '123 Market St',
'zipcode' => '94105'
],
'documents' => [
[
'type' => 'drivers_license',
'document' => 'D12345678',
'countryCode' => 'US',
'stateCode' => 'CA',
'expireDate' => '2030-06-30'
]
],
'occupation' => 'Software Engineer',
'sourceOfFunds' => 'SALARY'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.lbpay.example.com/v1/senders"
payload := strings.NewReader("{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.lbpay.example.com/v1/senders")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lbpay.example.com/v1/senders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"externalId\": \"msb-cust-001\",\n \"type\": \"INDIVIDUAL\",\n \"firstName\": \"John\",\n \"lastName\": \"Doe\",\n \"email\": \"john.doe@example.com\",\n \"phoneNumber\": \"+15551234567\",\n \"birthDate\": \"1990-01-15\",\n \"nationality\": \"US\",\n \"address\": {\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"city\": \"San Francisco\",\n \"line1\": \"123 Market St\",\n \"zipcode\": \"94105\"\n },\n \"documents\": [\n {\n \"type\": \"drivers_license\",\n \"document\": \"D12345678\",\n \"countryCode\": \"US\",\n \"stateCode\": \"CA\",\n \"expireDate\": \"2030-06-30\"\n }\n ],\n \"occupation\": \"Software Engineer\",\n \"sourceOfFunds\": \"SALARY\"\n}"
response = http.request(request)
puts response.read_body{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"senderId": "<string>",
"externalId": "<string>",
"type": "INDIVIDUAL",
"status": "ACTIVE",
"complianceLevel": "LEVEL_0",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"middleName": "<string>",
"lastName": "<string>",
"businessName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"birthDate": "2023-12-25",
"nationality": "<string>",
"address": {
"countryCode": "<string>",
"city": "<string>",
"line1": "<string>",
"zipcode": "<string>",
"stateCode": "<string>",
"line2": "<string>"
},
"documents": [
{
"type": "passport",
"documentLast4": "5678",
"countryCode": "<string>",
"stateCode": "<string>",
"expireDate": "2023-12-25",
"verificationStatus": "NOT_VERIFIED"
}
],
"occupation": "<string>",
"employerName": "<string>",
"sourceOfFunds": "<string>",
"nextLevel": {
"level": "LEVEL_1",
"missingRequirements": [
"occupation",
"documents.ssn"
]
}
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}{
"code": "QUOTE_EXPIRED",
"message": "<string>",
"requestId": "<string>",
"retryable": true,
"details": [
{
"field": "<string>",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key to prevent duplicate creation or execution.
8 - 128Body
Nenhum campo além de externalId e type é tecnicamente obrigatório no cadastro, mas o remetente só transaciona a partir do nível de compliance LEVEL_1. Os campos exigidos por nível são configurados por cliente (ver complianceRequirements).
Idempotente: se já existir, retorna o remetente existente (200).
128INDIVIDUAL, BUSINESS 150150150Obrigatório quando type = BUSINESS.
200E.164.
"+15551234567"
Remetente INDIVIDUAL deve ter 18 anos ou mais.
^[A-Z]{2}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
SALARY, SAVINGS, BUSINESS_INCOME, INVESTMENTS, PENSION, GIFT, OTHER Response
Remetente já existente para o externalId
INDIVIDUAL, BUSINESS ACTIVE, RESTRICTED, BLOCKED, INACTIVE LEVEL_0 não transaciona. Requisitos e limites por nível são configurados por cliente.
LEVEL_0, LEVEL_1, LEVEL_2, LEVEL_3 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Próximo nível de compliance e dados que faltam para alcançá-lo. Nulo no nível máximo.
Show child attributes
Show child attributes

